org.apache.avro.hadoop.io

## Class AvroDatumConverterFactory.IntWritableConverter

- java.lang.Object
- - org.apache.avro.hadoop.io.AvroDatumConverter<IntWritable,Integer>
  - - org.apache.avro.hadoop.io.AvroDatumConverterFactory.IntWritableConverter

- Enclosing class:
    AvroDatumConverterFactory

      public static class AvroDatumConverterFactory.IntWritableConverter
      extends AvroDatumConverter<IntWritable,Integer>

  Converts IntWritables into Ints.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntWritableConverter()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `convert(IntWritable input)`
    `Schema` | `getWriterSchema()` Gets the writer schema that should be used to serialize the output Avro datum.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntWritableConverter

          public IntWritableConverter()

      Constructor.

  - ### Method Detail

    - #### convert

          public Integer convert(IntWritable input)

      Specified by:
        `convert` in class `AvroDatumConverter<IntWritable,Integer>`

    - #### getWriterSchema

          public Schema getWriterSchema()

      Gets the writer schema that should be used to serialize the output Avro datum.
      Specified by:
        `getWriterSchema` in class `AvroDatumConverter<IntWritable,Integer>`
      Returns:
        The writer schema for the output Avro datum.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.